/*
Ein Taschenrechner
   mit einer vordefinierten Klasse fr die Eingaben
   mit selbstgeschriebenen Methoden
*/
public class Rechner_1
{
	public static void main (String [] args)
	{
		begruessen();
		System.out.print("Geben Sie Zahl 1 ein      : ");
		double zahlEins = Eingabe.leseDouble();
		System.out.print("Geben Sie Zahl 2 ein      : ");
		double zahlZwei = Eingabe.leseDouble();
		System.out.print("Geben Sie den Operator ein: ");
		char operator = Eingabe.leseCharacter();
		double ergebnis = 0;

		switch ( operator )
		{
		  case '+':   // addiere
				ergebnis = addieren ( zahlEins, zahlZwei );
		    break;
		
		  case '-':   // subtrahiere
				ergebnis = subtrahieren( zahlEins, zahlZwei );
		    break;
		
		  case '*':   // multipliziere
				ergebnis = multiplizieren( zahlEins, zahlZwei );
		    break;
			case ':':
		  case '/':   // dividiere
			ergebnis = dividieren( zahlEins, zahlZwei );
		    break;
		
		  default:
		    System.err.println( "Operand nicht definiert!" );
		}
		System.out.println( "\nErgebnis                  : " + ergebnis );
		System.out.println( "alle Werte: " + zahlEins + " " + zahlZwei + " " + ergebnis );
	}
	
	public static double addieren ( double par1, double par2 ) {
		double retVal = par1 + par2;
		return retVal;
	}
	public static double subtrahieren ( double par1, double par2 ) {
		double retVal = par1 - par2;
		return retVal;
	}
	public static double multiplizieren ( double par1, double par2 ) {
		double retVal = par1 * par2;
		return retVal;
	}
	public static double dividieren ( double par1, double par2 ) {
		double retVal = par1 / par2;
		return retVal;
	}
	public static void begruessen () {
		System.out.println( "Hey, das ist der einfache Taschenrechner\n" );
		System.out.println( "----------------------------------------\n");
	}
}
